Subject: Re: Problem Building on Linux (fwd)

From: Gregory A Lundberg <[email-masked]>
Date: Thu, 11 Feb 1999 16:10:01 -0500 (EST)

---------- Forwarded message ----------
Date: Thu, 11 Feb 1999 16:07:43 -0500 (EST)
From: Gregory A Lundberg <[email-masked]>
Subject: Re: Problem Building on Linux

On Thu, 11 Feb 1999, Michael Tibor wrote:

> I'm trying to build from the VR13 tarball on ftp.vr.net, but I'm
> having some problems.  I'm not a programmer, so I'm sure it's
> something simple I need to do; I just don't have a clue what it is I
> need to do though.
> 
> My system is Red Hat 5.2.  Since I've got PAM, I tried adding "-ldl
> -lpam" to LIBES= in src/makefiles/makefile.lnx (it's worked on other
> things :-)
> 
> I also tried adding -DDIRENT_ILLEGAL_ACCESS per the faq, but that
> didn't seem to have any effect.

> In file included from extensions.h:78,
>                  from ftpd.c:124:
> /usr/include/linux/quota.h:113: parse error before `__u32'

I received another bug report about this about 4 hours ago.  the fix is to
add a #include for asm/types.h ...

- --- src/extensions.h    Mon Dec 28 12:42:02 1998
+++ src/extensions.modified.h   Thu Feb 11 13:52:16 1999
@@ -75,6 +75,7 @@
 #ifdef LINUX
 #define QUOTA_DEVICE
 #include <mntent.h>
+#include <asm/types.h>
 #include <linux/quota.h>
 #endif

-- 

Gregory A Lundberg		Senior Partner, VRnet Company
1441 Elmdale Drive              [email-masked]
Kettering, OH 45409-1615 USA    1-800-809-2195